=== debian/changelog ===
ispell (3.4.00-6) unstable; urgency=medium

  * New 0037-CC-from-environment.patch from Helmut Grohne to fix cross builds
    failures by using maintainer supplied $(CC) (closes: #840715).
  * Bump debhelper's compat level to 10.
  * Switch Vcs-Browser to cgit, and use https in Vcs field.
  * Standards-Version 4.0.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 11 Jul 2017 21:01:26 +0200

ispell (3.4.00-5) unstable; urgency=medium

  * Add 0035-Force-text-grep-in-munchlist.patch to pass the `-a' flag to grep
    invocations not to fail on national characters (closes: #816572, #815160).
  * Add 0036-Reproducible-hashes.patch to hopefully make builds of hashes
    reproducible (closes: #778862).
  * debian/rules: Enable all hardening flags.
  * debian/control:
    + use https for Vcs-Browser field;
    + bump Standards-Version to 3.9.7.

 -- Robert Luberda <robert@debian.org>  Fri, 04 Mar 2016 08:34:01 +0100

ispell (3.4.00-4) unstable; urgency=medium

  * Update 0031-Initialize-table.patch to fix another issue with uninitialized
    memory causing unreproducible builds of ispell hashes (closes: #795606).
  * Add 0034-Fix-munchlist-failure.patch not to fail munchlist when there are
    no roots with multiple cross-product flags (closes: #794152).
  * Introduce lintian override for bogus `hardening-no-fortify-functions
    usr/bin/ijoin'.

 -- Robert Luberda <robert@debian.org>  Mon, 26 Oct 2015 00:27:36 +0100

ispell (3.4.00-3) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Jun 2015 11:15:32 +0200

ispell (3.4.00-2) experimental; urgency=medium

  * Add preinst script for dictionaries packages to remove files
    from /var/lib/ispell created by earlier versions to limit the
    chances of `directory not empty' dpkg warnings (see #781068),
    and create the directory in postinst scripts instead.
  * Drop the previous postinst code introduced in 3.3.06-2 to migrate
    ibritish and iamerican documentation dirs into symlinks.
  * Simplify debian/rules a bit, and add support for cross-compiling.
  * Fix DEP5 headers in debian/copyright.

 -- Robert Luberda <robert@debian.org>  Wed, 08 Apr 2015 21:44:39 +0200

ispell (3.4.00-1) experimental; urgency=medium

  * New upstream version.
  * Remove no longer needed patches:
    005-Do-not-reorder-words, 0012-Fix-getline, 0017-Destdir-support,
    0019-Section-of-english-manpage, 0025-Languages.
  * Remove most of 0007-Use-termios.patch, as ispell supports termios
    by its own.
  * Update 0001-Configuration.patch to use -ltinfo instead of -lncurses,
    and 0015-CFLAFS-from-environment & 0018-Dont-strip-binaries to make
    the changes in defrmatters/Makefile.
  * Update debian/localMakefile.languages.inc for new version and pass
    `-n' to gzip to make builds reproducible.
  * english(5) man page has been removed by upstream, remove references
    to it from debian/ directory.
  * Add 0031-Initialize-table.patch which initializes buildhash tables to
    zero to make .hash files reproducible (closes: #778862).
  * Add 0032-Check-munchlist-errors.patch to break munchlist as soon as
    an error occurs (closes: #301205).
  * New 0033-Fix-NULL-pointer-dereference.patch to fix ispell crash occurring
    on hash tables built without prior call to munchlist (closes: #561089).
  * Switch to debhelper v9.
  * Drop debian/TODO.Debian - its items were copied from Debian BTS, some
    of them have been resolved already.
  * debian/rules: handle CPPFLAGS environment variable and enable LFS
    support (lintian).
  * debian/control:
    + fix a typo in british-small description (closes: #745297);
    + update dependencies on dictionaries-common-dev, wordlist packages,
      and use ${ispell:Depends} instead of hard-coded dependencies on
      ispell and dictionaries-common;
    + bump Standards-Version to 3.9.6.

 -- Robert Luberda <robert@debian.org>  Sat, 21 Mar 2015 11:05:08 +0100
