=== debian/control ===
Source: ispell
Section: text
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: bison,
               debhelper (>= 10),
               dictionaries-common-dev (>= 1.23~),
               libncurses5-dev
Build-Depends-Indep: wamerican (>= 7.1),
                     wamerican-huge (>= 7.1),
                     wamerican-insane (>= 7.1),
                     wamerican-large (>= 7.1),
                     wamerican-small (>= 7.1),
                     wbritish (>= 7.1),
                     wbritish-huge (>= 7.1),
                     wbritish-insane (>= 7.1),
                     wbritish-large (>= 7.1),
                     wbritish-small (>= 7.1)
Standards-Version: 4.0.0
Homepage: http://www.lasr.cs.ucla.edu/geoff/ispell.html
Vcs-Git: https://anonscm.debian.org/git/users/robert/ispell.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/ispell.git/

Package: ispell
Architecture: any
Multi-Arch: foreign
Depends: ${ispell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: iamerican | ispell-dictionary, wamerican | wordlist
Breaks: iamerican (<= 3.1.20.0-9),
        ibritish (<= 3.1.20.0-9),
        ibulgarian (<= 3.0-12),
        iczech (<= 20040229-5),
        idanish (<= 1.6.25-1),
        iestonian (<= 1:20030606-12.1),
        ifinnish (<= 0.7-17.3),
        ifinnish-large (<= 0.7-17.3),
        ifrench (<= 1.4-25),
        ifrench-gut (<= 1:1.0-27),
        igaelic (<= 0.50-7),
        ihungarian (<= 0.99.4-2),
        iirish (<= 2.0-20),
        iitalian (<= 1:2.3-2),
        imanx (<= 0.50-8),
        inorwegian (<= 2.0.10-3.2),
        iogerman (<= 1:2-26),
        ipolish (<= 20100612-1),
        irussian (<= 0.99g5-8.1),
        iswedish (<= 1.4.5-2),
        iukrainian (<= 1.6.0-1)
Suggests: spell
Description: International Ispell (an interactive spelling corrector)
 Ispell corrects spelling in plain text, LaTeX, sgml/html/xml, and nroff files.
 [x]Emacs and jed have nice interfaces to ispell, and ispell works from many
 other tools and from the command line as well.
 .
 No ispell dictionaries are included in this package; you must install
 at least one of them ("iamerican" is recommended by default for no good
 reason); install the "ispell-dictionary" package(s) for the language(s)
 you and your users will want to spell-check.
 .
 It's a good idea to install "word list" package(s) for the same language(s),
 because they'll be used by ispell's (L)ookup command.

Package: ienglish-common
Architecture: all
Depends: ispell (>= 3.3.02), ${ispell:Depends}, ${misc:Depends}
Recommends: iamerican | iamerican-small | iamerican-large | iamerican-huge | iamerican-insane | ibritish | ibritish-small | ibritish-large | ibritish-huge | ibritish-insane
Description: Common files for British and American ispell dictionaries
 This package provides common files and dependencies for all American and
 British ispell dictionary packages. The package is useless if none of the
 dictionaries is also installed.

Package: iamerican
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican
Provides: ispell-dictionary
Description: American English dictionary for ispell (standard version)
 This package provides the standard, medium-sized American English dictionary,
 based on the americanmed+ dictionary supplied with the source for ispell,
 with additional words added from the more comprehensive wamerican word
 list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are ibritish* packages as well.
 .
 The package also suggests wamerican because ispell's (L)ookup command
 needs a word list.

Package: ibritish
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish
Provides: ispell-dictionary
Description: British English dictionary for ispell (standard version)
 This package provides the standard, medium-sized British English dictionary,
 based on the britishmed+ dictionary supplied with the source for ispell, with
 additional words added from the more comprehensive wbritish word list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are iamerican* packages as well.
 .
 The package also suggests wbritish because ispell's (L)ookup command
 needs a word list.

Package: iamerican-small
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-small
Provides: ispell-dictionary
Description: American English dictionary for ispell (small)
 This package provides the american-small dictionary, based on the americansml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-small word list package.
 .
 This is smaller dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-small because ispell's (L)ookup
 command needs a word list.

Package: ibritish-small
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-small
Provides: ispell-dictionary
Description: British English dictionary for ispell (small)
 This package provides the british-small dictionary, based on the britishsml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-small word list package.
 .
 This is smaller dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-small because ispell's (L)ookup command
 needs a word list.

Package: iamerican-large
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-large
Provides: ispell-dictionary
Description: American English dictionary for ispell (large)
 This package provides the american-large dictionary, based on the americanlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-large word list package.
 .
 This is larger dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-large because ispell's (L)ookup
 command needs a word list.

Package: ibritish-large
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-large
Provides: ispell-dictionary
Description: British English dictionary for ispell (large)
 This package provides the british-large dictionary, based on the britishlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-large word list package.
 .
 This is larger dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-large because ispell's (L)ookup command
 needs a word list.

Package: iamerican-huge
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-huge
Provides: ispell-dictionary
Description: American English dictionary for ispell (huge)
 This package provides the american-huge dictionary, based on the americanxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 iamerican-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-huge
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-huge
Provides: ispell-dictionary
Description: British English dictionary for ispell (huge)
 This package provides the british-huge dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 ibritish-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.

Package: iamerican-insane
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-insane
Provides: ispell-dictionary
Description: American English dictionary for ispell (insane version)
 This package provides the american-insane dictionary, based on the
 americanxlg+ dictionary supplied with the source for ispell, with additional
 words added from the more comprehensive wamerican-insane word list package.
 .
 This is an even larger dictionary than the one installed by iamerican-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-insane
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-insane
Provides: ispell-dictionary
Description: British English dictionary for ispell (insane version)
 This package provides the british-insane dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-insane word list package.
 .
 This is an even larger dictionary than the one installed by ibritish-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.
