=== debian/watch ===
version=3
http://www.lasr.cs.ucla.edu/geoff/tars/ispell-(\d+.*)\.tar\.gz
